Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226405 - Merge Review: selinux-doc
Summary: Merge Review: selinux-doc
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:57 UTC by Nobody's working on this, feel free to take it
Modified: 2010-11-17 19:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 19:43:11 UTC


Attachments (Terms of Use)
Review for F14 package selinux-doc-1.26-5 (deleted)
2010-11-16 21:31 UTC, Garrett Holmstrom
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 20:57:18 UTC
Fedora Merge Review: selinux-doc

http://cvs.fedora.redhat.com/viewcvs/devel/selinux-doc/
Initial Owner: dwalsh@redhat.com

Comment 1 Garrett Holmstrom 2010-11-16 21:31:02 UTC
Most of this package's problems simply arise from its age.  Upstream seems to be dead; is this package still relevant?  If it is no longer relevant maybe it would be better to just retire it.  I will attach a full review shortly, but I will also present the things that need to be fixed here.

- License files included in package %docs or not included in upstream source
- License files installed when any subpackage combination is installed

Just fix these with "%doc LICENSE".

- Sources match upstream unless altered to fix permissibility issues
  Upstream MD5:  ???
  Your MD5:      5836fbb58dbd20586415d7f4baa0b55b  selinux-doc-1.26.tgz

Is upstream dead?  rpmlint and I get 404s from the URI in the spec file, and I failed to find a new upstream.

- Relocatability is justified

Does "Prefix: %{_prefix}" need to be there for some reason?  I would drop it, but if it is important to the package then the spec file should say why.

- Has dist tag

This is not a blocker, but adding a dist tag wouldn't be a bad idea to get this package in line with most of the others.

- Correct BuildRoot tag on < F10/EL6
- Correct %clean section on < F13/EL6

Since this package is only building on F12 and up you can dump both the BuildRoot tag and the %clean section if you want.  This also isn't required, though the buildroot given in the spec file is somewhat unusual.

- Text files encoded in ASCII or UTF-8
  README.HIERARCHY contains non-ISO extended-ASCII characters

Perhaps the file's encoding could be converted?

- File timestamps preserved by file ops

This isn't mandatory, but would you mind adding -p switches to cp commands?

One other thing that seemed off to me is the Group field.  Shouldn't it be "Documentation"?

Comment 2 Garrett Holmstrom 2010-11-16 21:31:57 UTC
Created attachment 460934 [details]
Review for F14 package selinux-doc-1.26-5

Comment 3 Daniel Walsh 2010-11-17 16:14:14 UTC
I have no problem dropping this package.  I think it is old and useless.

Comment 4 Garrett Holmstrom 2010-11-17 18:53:10 UTC
Sounds good.  I don't have the superpowers to retire it myself, so I will just wait until you get a chance to do so before closing this bug.

Comment 5 Daniel Walsh 2010-11-17 19:14:49 UTC
Sure, could you tell me how I go about doing this?

Comment 6 Jason Tibbitts 2010-11-17 19:22:47 UTC
I retired the package for you in rawhide.  I assume you'll want to leave it around for the released Fedora branches.

Comment 7 Garrett Holmstrom 2010-11-17 19:43:11 UTC
Sounds reasonable.  I'll close out this bug, then.


Note You need to log in before you can comment on or make changes to this bug.